# BassMap

[![image](https://img.shields.io/pypi/v/bassmap.svg)](https://pypi.python.org/pypi/bassmap)
[![LinkedIn Badge](https://img.shields.io/badge/My-LinkedIn-blue)](https://www.linkedin.com/in/bassneel)
[![YouTube](https://img.shields.io/badge/YouTube-%23FF0000.svg?style=for-the-badge&logo=YouTube&logoColor=white)](https://www.youtube.com/channel/UCT8zQZMTdzOm3u0Ojq0piRg)
![BassMap](https://github.com/bassneel/basspublicfiles/blob/main/bassmap_logo.png)

**BassMap is an intuitive Python Package that allows the user to display a variety of features on an iPyLeaflet and Folium map display. In addition the Landsat 8 Tools allows the user to create a variety of multispectral composites using local GeoTIFFs from Landsat 8 spectral bands**

[BassMap on Streamlit](https://bassmap.streamlit.app/)


-   Free software: MIT license
-   Documentation: https://bassneel.github.io/bassmap
    

## Features

-   [Landsat 8 Tools](https://bassneel.github.io/bassmap/examples/Landsat_8_Tools/)
    -   Multispectral Composites
        -   Create True Color Composite
        -   Create False Color (Buildings) Composite
        -   Create Color Infrared (Vegetation) Composite
        -   Create Healthy Vegetation Composite
    -   Spectral Indicies
        -   Create Normalized Difference Moisture Index (NDMI) Composite
        -   Create Normalized Difference Vegetation Index (NDVI) Composite

-   With IPyLeaflet ([Mapomatic](https://bassneel.github.io/bassmap/examples/Mapomatic/))
    -   Change basemap
    -   Display shapefiles
    -   Display GeoJSON files
    -   Display vector files
    -   Display Cloud Optimized GeoTIFFs
-   With Folium ([Foliumatic](https://bassneel.github.io/bassmap/examples/Foliumatic/))
    -   Change basemap
    -   Display shapefiles
    -   Display GeoJSON files
    -   Display vector files

## Demo

[![IMAGE ALT TEXT](http://img.youtube.com/vi/5dLXxnTaNv4/0.jpg)](https://www.youtube.com/watch?v=5dLXxnTaNv4 "BassMap - Satellite Image Processing with Python")

## Credits

This package was created with [Cookiecutter](https://github.com/cookiecutter/cookiecutter) and the [giswqs/pypackage](https://github.com/giswqs/pypackage) project template.
